#!/bin/bash
wmo=$1
center=$2
echo In Selected center script WMO $wmo
stmline=`cat ${wmo}.txt|grep "TC:"|cut -c22-`
nf=`echo $stmline|wc -w`
StormName=`echo $stmline|cut -d" " -f${nf}`;echo $StormName;echo StormName $StormName > Bul_${wmo}.log
stnm="   1S";echo ATCF name $stnm >> Bul_${wmo}.log
bull_time=`cat ${wmo}.txt|grep ${wmo}|cut -d" " -f3`;bull_day=`echo $bull_time|cut -c1-2`;echo iDay $bull_day >> Bul_${wmo}.log
echo iDay $bull_day       
bull_hr=`echo $bull_time|cut -c3-4`;echo iHour $bull_hr >> Bul_${wmo}.log
echo iHour $bull_hr
bull_yjline=`cat ${wmo}.txt|grep ${wmo}|cut -c65-76`
bull_yr=`echo $bull_yjline|cut -c1-4`;echo iYear $bull_yr >> Bul_${wmo}.log
echo iYear $bull_yr
bull_jd=`echo $bull_yjline|cut -c5-7`
bull_mon=`date -d "\`date '+%Y'\` -01-01 \`expr $bull_jd - 1\` days" '+%m'`;echo Month $bull_mon >> Bul_${wmo}.log
echo Month $bull_mon
bull_winLin=`cat ${wmo}.txt|grep "MAX WIND:"`
bull_wind=`echo $bull_winLin|cut -d" " -f3|cut -c1-2`;echo wind $bull_wind
bull_cenLin=`cat ${wmo}.txt|grep "PSN:"`
cenLat=`echo $bull_cenLin|cut -d" " -f2`
LatLen=`echo $cenLat|wc -c`;DegEnd=`expr $LatLen - 3`;MinBnd=`expr $LatLen - 2`
LatNS=`echo $cenLat|cut -c1`;echo LatNS $LatNS
LatDeg=`echo $cenLat|cut -c2-${DegEnd}`;echo LatDeg $LatDeg
LatMin=`echo $cenLat|cut -c${MinBnd}-`;echo LatMin $LatMin
s1=`expr 100 \* $LatMin`;LatFrac=`expr ${s1} / 60`
CenterLat=${LatDeg}"."${LatFrac}
if [ "$LatNS" = 'S' ]; then
   CenterLat=`echo $CenterLat \* -1 | bc`
fi
echo CenterLat $CenterLat
cenLon=`echo $bull_cenLin|cut -d" " -f3`
LonLen=`echo $cenLon|wc -c`;DegEnd=`expr $LonLen - 3`;MinBnd=`expr $LonLen - 2`
LonWE=`echo $cenLon|cut -c1`
LonDeg=`echo $cenLon|cut -c2-${DegEnd}`;echo LonDeg $LonDeg
LonMin=`echo $cenLon|cut -c${MinBnd}-`;echo LonMin $LonMin
s1=`expr 100 \* $LonMin`;LonFrac=`expr ${s1} / 60`
CenterLon=${LonDeg}"."${LonFrac}
if [ "$LonWE" = 'E' ]; then
   CenterLon=`echo $CenterLon \* -1 | bc`
fi
echo CenterLon $CenterLon
bull_winLin12=`cat ${wmo}.txt|grep "MAX WIND +12"`
bull_wind12=`echo $bull_winLin12|cut -d" " -f5|cut -c1-2`;echo wind12 $bull_wind12
bull_cenLin12=`cat ${wmo}.txt|grep "PSN +12"`
cenLat12=`echo $bull_cenLin12|cut -d" " -f5`
LatLen12=`echo $cenLat12|wc -c`;DegEnd=`expr $LatLen12 - 3`;MinBnd=`expr $LatLen12 - 2`
LatNS=`echo $cenLat12|cut -c1`
LatDeg12=`echo $cenLat12|cut -c2-${DegEnd}`
LatMin12=`echo $cenLat12|cut -c${MinBnd}-`
s1=`expr 100 \* $LatMin12`;LatFrac12=`expr ${s1} / 60`
CenterLat12=${LatDeg12}"."${LatFrac12}
if [ "$LatNS" = 'S' ]; then
   CenterLat12=`echo $CenterLat12 \* -1 | bc`
fi
echo CenterLat12 $CenterLat12
cenLon12=`echo $bull_cenLin12|cut -d" " -f6`
LonLen12=`echo $cenLon12|wc -c`;DegEnd=`expr $LonLen12 - 3`;MinBnd=`expr $LonLen12 - 2`
LonWE=`echo $cenLon12|cut -c1`
LonDeg12=`echo $cenLon12|cut -c2-${DegEnd}`
LonMin12=`echo $cenLon12|cut -c${MinBnd}-`
s1=`expr 100 \* $LonMin12`;LonFrac12=`expr ${s1} / 60`
CenterLon12=${LonDeg12}"."${LonFrac12}
if [ "$LonWE" = 'E' ]; then
   CenterLon12=`echo $CenterLon12 \* -1 | bc`
fi
echo CenterLon12 $CenterLon12
bull_24len=`cat ${wmo}.txt|grep -A1 "24 HRS"|wc -c`
if [ $bull_24len -gt 0 ]; then


    bull_winLin24=`cat ${wmo}.txt|grep "MAX WIND +24"`
    bull_wind24=`echo $bull_winLin24|cut -d" " -f5|cut -c1-2`;echo wind24 $bull_wind24
    bull_cenLin24=`cat ${wmo}.txt|grep "PSN +24"`
    cenLat24=`echo $bull_cenLin24|cut -d" " -f5`
    LatLen24=`echo $cenLat24|wc -c`;DegEnd=`expr $LatLen24 - 3`;MinBnd=`expr $LatLen24 - 2`
    LatNS=`echo $cenLat24|cut -c1`
    LatDeg24=`echo $cenLat24|cut -c2-${DegEnd}`
    LatMin24=`echo $cenLat24|cut -c${MinBnd}-`
    s1=`expr 100 \* $LatMin24`;LatFrac24=`expr ${s1} / 60`
    CenterLat24=${LatDeg24}"."${LatFrac24}
    if [ "$LatNS" = 'S' ]; then
	CenterLat24=`echo $CenterLat24 \* -1 | bc`
    fi
    echo CenterLat24 $CenterLat24
    cenLon24=`echo $bull_cenLin24|cut -d" " -f6`
    LonLen24=`echo $cenLon24|wc -c`;DegEnd=`expr $LonLen24 - 3`;MinBnd=`expr $LonLen24 - 2`
    LonWE=`echo $cenLon24|cut -c1`
    LonDeg24=`echo $cenLon24|cut -c2-${DegEnd}`
    LonMin24=`echo $cenLon24|cut -c${MinBnd}-`
    s1=`expr 100 \* $LonMin2`;LonFrac2=`expr ${s1} / 60`
    CenterLon24=${LonDeg24}"."${LonFrac24}
    if [ "$LonWE" = 'E' ]; then
	CenterLon24=`echo $CenterLon24 \* -1 | bc`
    fi
else
    bull_wind24=0
    CenterLat24=0.0
    CenterLon24=0.0
fi


echo WindSpeedMax $bull_wind $bull_wind12 $bull_wind24
echo CenterLat $CenterLat $CenterLat12 $CenterLat24
echo CenterLon $CenterLon $CenterLon12 $CenterLon24
echo WindSpeedMax $bull_wind $bull_wind12 $bull_wind24 >> Bul_${wmo}.log
format="%10s %6.1f %6.1f %6.1f\n"
printf "$format" CenterLat $CenterLat $CenterLat12 $CenterLat24 >> Bul_${wmo}.log
printf "$format" CenterLon $CenterLon $CenterLon12 $CenterLon24 >> Bul_${wmo}.log
echo $center >> Bul_${wmo}.log
