#!/bin/bash 
DATAHOME=/data/Petrap/
cd $HOME/RCliper
rm *.log
declare -a WMOs=("WTNT21" "WTNT22" "WTNT23" "WTNT24" "WTNT25" "WTPZ21" "WTPZ22" "WTPZ23" "WTPZ24" "WTPZ25" "WTPA21" "WTPA22" "WTPA23" "WTPA24" "WTPA25" "WTPN31" "WTPN32" "WTPN33" "WTPN34" "WTPN35" "WTPS31" "WTPS32" "WTPS33" "WTPS34" "WTPS35" "WTXS31" "WTXS32" "WTXS33" "WTXS34" "WTXS35" "WTIO30" "WTIO31" "WVID10" "FKAU01" "FKAU02" "FKAU03" "FKAU04" "FKAU05" "FKAU06" "FKPS01" "FKPS02" "FKPQ30" "FKPQ31" "FKPQ32" "FKPQ33" "FKPQ34" "FKIN20");
Yr=`date +%Y`
#cho Year x${Yr}x
for wmo in "${WMOs[@]}"
do
    cd $HOME/RCliper
    scripts/bull_select.sh $wmo
    echo WMO $wmo
    if [ -f Bul_${wmo}.log ]; then
	stm=$(cat Bul_${wmo}.log|head -1|cut -d" " -f2)
	scripts/cnv_adtn.sh $stm
	lsd=$(ls -lt /gpfs1/dmz/incoming/*/*lsdiag*|grep $(cat st_id.txt)|head -1|tr -s ' '|cut -d" " -f9)
	cp -v $lsd /home/Petrap/RCliper/lsdiag.dat
	time ./bin/rcliper_main $wmo > /data/Petrap/log/bull_${wmo}_area.log
	ls -lt /data/Petrap/${Yr}/*/*${wmo}*.$(date +%m%d)????.00.AREA
        A_file=`ls -lt /data/Petrap/${Yr}/*/*${wmo}*.$(date +%m%d)????.00.AREA|head -1|tr -s ' '|cut -d" " -f9-|cut -d"." -f1-6`
	Storm=`ls -lt /data/Petrap/${Yr}/*/*${wmo}*.$(date +%m%d)????.00.AREA|head -1|cut -d" " -f9-|cut -d"." -f1-6|cut -d"/" -f5`
	echo A_file Storm $A_file $Storm
	cd ~/mcidas/data
	for per in 00 06 12 18 24
	do
	    cp -v ${A_file}.${per}.AREA AREA50${per}
	done
	inp_stream=`cat ~/RCliper/GIF_inp.lin`
	~/RCliper/scripts/saveGIF-mcenv_RC.sh $inp_stream
	cd  /data/Petrap/${Yr}/${Storm}
	for per in 00 06 12 18 24
	do
#	    echo ${DATAHOME}/data/TRAP_RC${per}.GIF /data/Petrap/`date +%Y\`/${Storm}/ ${A_file}.${per}.GIF
	    cp -v ${DATAHOME}/data/TRAP_RC${per}.GIF ${A_file}.${per}.GIF
	    mv $A_file.${per}.AREA /${A_file}.${per}
	    compress -f /${A_file}.${per}
	done
	echo STORM $Storm
	cd  /data/Petrap/${Yr}/${Storm}
	echo DIRECTORY for txt 
	pwd
	ss=`ls -lt *${wmo}*RCL*00.Z|head -1|cut -d"." -f2-4|cut -c1-16`
	ntxt=`ls -lt *${ss}*txt*|grep -v RCL|head -1|tr -s ' '|cut -d" " -f9`;echo $ss;echo $ntxt
	rcl=`ls *${ss}*RCL*00.Z|tail -1|cut -d. -f1-6`;echo $rcl
	ntxt_siz=$(echo $ntxt|wc -c)
	if [ $ntxt_siz -gt 2 ]; then
	    rcltxt=`echo ${rcl}`.txt;echo $rcltxt
	    zcat $ntxt|head -6 > $rcltxt
	    echo $rcl >> $rcltxt
	    zcat $ntxt|tail -5|head -4 >> $rcltxt
	    echo RCLIPER >> $rcltxt
	    compress -f $rcltxt
	else
	    echo "No template for txt file"
	    rm -v ${rcl}*
	fi
     
    else
	echo Bul_${wmo}.log does not exist
    fi
done
