#
# $Id: saveGIF-mcenv.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.2  2010/04/27 14:23:00  cmuser
# CCR00651
#
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File :saveGIF-mcenv.sh
# This shell script export the arguments and use the MCENV to call the PCTRP
# Usage:  saveGIF-mcenv.sh <TRaP set name>
#
# Author: Jianbin Yang/QSS   August 2006
################################################################################

echo "start $0 at `date`"

lat=$1
lon=$2
storm=$3
agency=$4
BulHhmm=$5

export lat
export lon
export storm
export agency
export BulHhmm
echo inp to perl $lat $lon $storm $agency $BulHhmm
PATH=$PATH:$HOME/mcidas/bin:$HOME/mcidas/pctrap-V3/scripts:/home/mcidas/bin:
DATAHOME=/data/Petrap
echo $PATH
export PATH

 MCPATH=/home/Petrap/mcidas/data/mcidas_data:/home/mcidas/data:/home/Petrap/mcidas/data
 export MCPATH
echo INPUT 
mcenv -f 12@455x640  -graphicsColors 16 << 'EOF'
    ~/RCliper/scripts/saveTRAPGIF_RC.pl $lat $lon $storm $agency $BulHhmm > /data/Petrap/log/saveGif_RC.out
EOF

echo 'end of Script'

exit

