#!/usr/bin/perl -w

## =====================================================================
## Name:        cleanWebLogs.pl
##              (adapted from cleanLogs.pl)  
##                  
## Author:      Jianbin Yang/PSGS   06/10/2009
## Language:    Perl
## Purpose:     This program will clean up the monitor log files in Web server 
##
##              This program will run on Web server (Gp5)   
##                  
## Last Modified:   06/10/2009
##
## =====================================================================


# Define the directories and files
$webLogDir = "/data/web/mirror/www.ssd.noaa.gov/htdocs/PS/TROP/DATA/ETRAP/monitor/logs";           

#$deletedDays = 10.0;
$deletedDays = 25.0;     # Will change back to 10 after mid July

##--------------------------------- Start --------------------------------------##

$startdate=`date`;
print "Start  $0 at $startdate \n";

chdir("$webLogDir") || die "Cannot change to directory $webLogDir: $!";
print  "ETRAP Log directory in Web server is:";
system("pwd");

##-------- Clean the log file files  --------##

@fileDirList = `ls`;

foreach $fileDir (@fileDirList)
{
   chop($fileDir);
      
   if ((-f $fileDir) && ($fileDir =~ /\.log$/))
   {
      if (-M $fileDir > $deletedDays)
      {
         unlink("$fileDir") || die "cannot unlink $fileDir: $!";
         print "$fileDir is deleted.\n";
      }
   }
}        # End of the Foreach loop 


print "End of clean old log files.\n";

