#!/bin/bash
# This shell script create the color table, bar and save GIF for etrap probablity products.
# Usage: runProb.sh  <lat> <lon> <gif file name>
#
# Author: Jianbin Yang/PSGS   Marchi 2009
################################################################################

echo "start $0 at `date`"

lat=$1
lon=$2
gifName=$3

export lat lon gifName

#PATH=$PATH:$HOME/mcidas/bin:$HOME/mcidas/etrap:/home/mcidas/bin:.
#export PATH

export MCPATH=$HOME/mcidas/data:~mcidas/data

cd $HOME/mcidas/data
mcenv -i 220 -g 32 -f 10@480x640 << 'EOF'
   run.k 1 FILE=INITPROB.MCB
   run.k $lat $lon 1 $gifName FILE=PROB.MCB
EOF

echo 'end of Script'

exit

