#
# $Id: getBackupLog.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#! /bin/bash

# File :getBackuplog.sh
# This shell script get the back up log file for program area2digit-multi.pl 
# which is called within SENDTRAP batch command before this script is called.
# the DIGIT.OUT/ERR might not be appended to the original log file if something
# wrong happened in the middle of the perl program.  So this script create a 
# back up log file to track it.
#
# Author: Jianbin Yang/RSIS   May 25, 2004
################################################################################

dataDir='/home/oper1/mcidas/data'
stdoutLog='DIGIT.OUT'
stderrLog='DIGIT.ERR'
backupLogFile='/data/TRAP/log/digitTRAPBackup.log'

cd $dataDir
pwd
echo "start $0 at `date`"
echo "start $0 at `date`" |cat >> $backupLogFile
echo "+++++++++++++++ STDERR Log +++++++++++++++" |cat >> $backupLogFile
cat $stderrLog >> $backupLogFile
echo "+++++++++++++++ STDOUT Log +++++++++++++++" |cat >> $backupLogFile
cat $stdoutLog >> $backupLogFile
echo "End of the program" 
