#!/bin/bash

# File : logclean.sh
#
# Written by Jianbin Yang,  July 17 2002
#
# Modified: 08/27/2003
#
# modified: 02/15/2007
#                Add more log files
# Last Modified: 09/08/2008
#
################################################################################

logDir=/data/Petrap/log
#passDataDir=$HOME/mcidas/data/mcidas_data/polerPassData
passDataDir=$DATAHOME/data/mcidas_data/polerPassData

cd $logDir

## log file for getpPass.pl ##

mv getpass.log getpass.log.old


## log file for pctrap.pl ##

mv autoTRAP.log.old2 autoTRAP.log.old3
mv autoTRAP.log.old1 autoTRAP.log.old2
mv autoTRAP.log.old autoTRAP.log.old1
mv autoTRAP.log autoTRAP.log.old

# clean log file and email log files

mv cleanTrap.log.old cleanTrap.log.old1
mv cleanTrap.log cleanTrap.log.old

mv emails.log.old emails.log.old1
mv emails.log emails.log.old


## log file for area2digit.pl ##

if [[ -f "digitTRAP.log.old" ]]
then
   mv digitTRAP.log.old2 digitTRAP.log.old3
   mv digitTRAP.log.old1 digitTRAP.log.old2
   mv digitTRAP.log.old digitTRAP.log.old1
fi

if [[ -f "digitTRAP.log" ]]
then
   mv digitTRAP.log digitTRAP.log.old
fi

## backup log file for area2digit.pl ##

if [[ -f "digitTRAPBackup.log.old" ]]
then
   mv digitTRAPBackup.log.old digitTRAPBackup.log.old1
fi

if [[ -f "digitTRAPBackup.log" ]]
then
   mv digitTRAPBackup.log digitTRAPBackup.log.old
fi

## log file for getBulData2.pl ##

if [[ -f "getBul.log.old" ]]
then
   mv getBul.log.old2 getBul.log.old3
   mv getBul.log.old1 getBul.log.old2
   mv getBul.log.old getBul.log.old1
fi

mv getBul.log getBul.log.old

## log file for checkList1.pl ##

if [[ -f "checkError.log" ]]
then
  mv checkError.log checkError.log.old
fi


## log file for cleanPass.sh ##

cd $passDataDir

mv cleanpass.log.old1 cleanpass.log.old2
mv cleanpass.log.old cleanpass.log.old1
mv cleanpass.log cleanpass.log.old

exit
