#!/bin/bash
###############################################################################
# File :  pushStList.sh
#
# Author: Jianbin Yang/PSGS   May 2008
#
# Purpose: This shell script push the active storm list from gp22 to gp36, 
#	   as the basin only got in the operational server 
#
# Usage: pushStList.sh
#
# Last Modified : 10/15/2008 
#                 Run on Prod3 in NSOF
#                 
################################################################################

echo "start $0 at `date`"

# PATH=$PATH:/home/oper/mcidas/bin:/home/mcidas/bin:

echo $PATH
# export PATH

# MCPATH=/home/oper/mcidas/data:/home/mcidas/data
# export MCPATH

srcDir=$HOME/mcidas/pctrap-V3
rmSrcDir=/home/oper/mcidas/pctrap-V3

stormFile=$srcDir/activeStorms.txt

echo "Send the storm list to gp36"
#sftp oper@gp36.ssd.nesdis.noaa.gov << EOF
sftp oper@10.144.6.73 << EOF
cd $rmSrcDir
put $stormFile
quit

EOF

echo "Send the storm list to Dev4"
sftp 10.144.6.103 << EOF1
cd $srcDir
put $stormFile
quit

EOF1

echo "end of Script $0"

exit

