#
# $Id: regenerateDigitTRAP-arch.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File :regenerateDigitTRAP-arch.sh
# This shell script export the arguments and use the MCENV to call some Perl
#	  scripts to regenrate the digital TRaP for the whole system.
#
# Notes: Regenerate some digital TRaP data and send out to different servers
#        Should create the list to be regenareted for the same storm 
#        and place in "unMadeDig.txt" in the storm directory
#
# Usage:  regenerateDigitTRAP.sh <year> <strom name> 
#
# Author: Jianbin Yang/RSIS   Nov 2004
# Modified : 11/29/04
#                 For Auto TRaP version 2.0
#
# Modified: 05/10/07
#           Change the mcenv frame setting 
#
# Last Modified: 11/26/08
#           Regenerate some digital TRaP data and send out to different servers
#
################################################################################

echo "start $0 at `date`"

if  [[  $# -lt 2  ]]
then
   # Example run on 11/26/08: regenerateDigitTRAP-arch.sh 2008 06B    
   echo " Usage: $0  <Year> <Storm> "
   exit 2
fi

year=$1 
name=$2 

export year name

# PATH=$PATH:/home/oper/mcidas/bin:/home/mcidas/bin:

echo $PATH
# export PATH

# MCPATH=/home/oper/mcidas/data:/home/mcidas/data
# export MCPATH

cd /data/TRAP/$year/$name
echo "pwd: "
pwd

# list the TRaP set
#for trapName in `ls -tr *.txt.Z`
for trapName in `cat unMadeDig.txt`
do
   echo "restoreAREA-arch.pl $trapName"
   restoreAREA-arch.pl $trapName

   echo "run area2digit-multi-fullyAuto-arch.pl 647"
   area2digit-multi-fullyAuto-arch.pl 647

done

echo 'end of Script'

exit

