#
# $Id: regenerateDigitTRAP.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File :regenerateDigitTRAP.sh
# This shell script export the arguments and use the MCENV to call some Perl
#	  scripts to regenrate the digital TRaP for the whole system.
# 
# Usage:  regenerateDigitTRAP.sh <year> <strom name> 
#
# Author: Jianbin Yang/RSIS   Nov 2004
# Modified : 11/29/04
#                 For Auto TRaP version 2.0
#
# Last Modified: 05/10/07
#           Change the mcenv frame setting 
#
################################################################################

echo "start $0 at `date`"

if  [[  $# -lt 2  ]]
then
   echo " Usage: $0  <Year> <Storm> "
   exit 2
fi

year=$1 
name=$2 

export year name

# PATH=$PATH:/home/oper/mcidas/bin:/home/mcidas/bin:

echo $PATH
# export PATH

# MCPATH=/home/oper/mcidas/data:/home/mcidas/data
# export MCPATH

#mcenv -f 12 << 'EOF'
mcenv -f 12@455x640  -graphicsColors 16 << 'EOF'
    cd /data/TRAP/$year/$name
    echo "pwd: "
    pwd

    # list the TRaP set
    i=0
    for trapName in `ls -tr *.txt.Z`
    do
       restoreAREA.pl $trapName
       #echo "restoreAREA.pl $trapName"

       if (( i == 0 ))
       then
          echo "Send files to FTP server for the first set"
          area2digit-multi-archFull2.pl 647
          # echo "run area2digit-multi-archFull2.pl"
       else 
          area2digit-multi-archFull.pl 647
          # echo "run area2digit-multi-archFull.pl"
       fi

       i=1

    done

EOF

echo 'end of Script'

exit

