#!/usr/bin/perl -w
#
#
# $Id: renameTrap.pl,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:57:01  oper1
# First checkin.
#
#
#!/usr/bin/perl -w

## =====================================================================
## Name:        renameTrap.pl
##                  
## Author:      Jianbin Yang/RSIS   07/19/2002
## Language:    Perl
## Purpose:     Rename the TRaP files (created before July 18) if the image time
##              is not correct.  
##                  
## Last Modified:   07/19/2002
##
## =====================================================================

# Define the directories and files
$dataDir = '/home/oper1/mcidas/data';
$trapDataDir = '/data/TRAP';

$startdate=`date`;
print " Start  $0 at $startdate \n";

# chdir("$dataDir") || die "Cannot change to directory $dataDir";
# print  "Data directory is:";
system("pwd");

@filelist = `ls 2002*.18[0-9][0-9][0-9][0-9]*`; 
chomp(@filelist); 

print "the file list are\n@filelist\n"; 

foreach $filename (@filelist)
{
    print "\n*****the name is $filename\n";

   @splitMsg = split(/\./, $filename);
   $splitMsgLen = @splitMsg;

   $dataTime = $splitMsg[5];
   print "the data time is $dataTime, the splitMsgLen is $splitMsgLen\n";
   
   $hh = substr($dataTime, 2, 2);
   if ($hh > 23)
   {
      print "hh is $hh\n";
      $hhmm = substr($dataTime, 2, 3);
      $hhmm = '0' . $hhmm;
      $dd = substr($dataTime, 0, 2);
      $ddhhmm = $dd . $hhmm;
      print "ddhhmm is $ddhhmm\n";

#      if ($dataTime == 183000)
 #     {
  #       $ddhhmm = 180030;
   #   }

      $splitMsg[5] = $ddhhmm;

      

      $newName = $splitMsg[0];

      for ($i = 1; $i < $splitMsgLen; $i++)
      {
         $newName .= '.';
         $newName .= $splitMsg[$i];
      }
      print "The new TRaP set name is $newName, rename it to the new name\n";

      rename("$filename", "$newName") || die "can not rename:$!";

   }

}


print "End of the rename process for the current TRaP data directory.\n";



