#!/usr/bin/perl -w
#
#
# $Id: renameTrap1.pl,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.2  2010/04/27 14:23:00  cmuser
# CCR00651
#
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:57:01  oper1
# First checkin.
#
#
#!/usr/bin/perl -w

## =====================================================================
## Name:        renameTrap1.pl
##                  
## Author:      Jianbin Yang/RSIS   07/19/2002
## Language:    Perl
## Purpose:     Rename the TRaP files add "A" after the storm name "HELM"
##              in the storm name
##             
##                  
## Last Modified:   03/11/2003
##
## =====================================================================

$year = "2009";
# Define the directories and files
$dataDir = '/home/oper/mcidas/data';
$trapDataDir = "/data/TRAP/$year";

$startdate=`date`;
print " Start  $0 at $startdate \n";

if (@ARGV < 2)
{
   print "Usage: $0 <old storm name> <new storm name>\n";
   exit;
}
else
{
   $oldName = $ARGV[0];
   $newName = $ARGV[1];
}

$trapDataDir .= "/$oldName";
 
chdir("$trapDataDir") || die "Cannot change to directory $trapDataDir";
# print  "Data directory is:";
system("pwd");

@filelist = `ls $year*`; 
chomp(@filelist); 

#print "the file list are\n@filelist\n"; 

foreach $filename (@filelist)
{
    print "\n*****the name is $filename\n";

    if ($filename =~ /$oldName/)
    {
       $oldFilename = $filename;
       $filename =~ s/$oldName/$newName/;
       print "the filename is $filename\n";      

#       rename("$oldFilename", "$filename") || die "can not rename:$!";

    }

}


print "End of the rename process for the current TRaP data directory.\n";



