#!/bin/bash
###############################################################################
# File :  startup_trap.sh
#
# Author: Jianbin Yang/PSGS   Feb 2010
#
# Purpose: This is the start up script for eTRaP to export the 
#          common paths and valiables 
#
# Usage: . ./startup_trap.sh
#
# Modified : 02/20/2010
#
################################################################################

#Mdhm=`date +%m%d%H%M`
Mmdd=`date +%m%d`

util_dir=$HOME/mcidas/TKutil
srcDir=$HOME/mcidas/pctrap-V3
binDir=$HOME/mcidas/bin
dataDir=$HOME/mcidas/data
passDataDir=$dataDir/polerPassData

trapDataDir=/data/TRAP
logDir="$trapDataDir/log"
#monLogDir="$logDir/monitorLogs"

##
## Inform the status monitor we are staring 
## will export them if they are used in the sub programs
##
#status_file_stList="$monLogDir/get_storm_list.status"
#status_file_gen="$monLogDir/etrap_creation.status"
#status_file_img="$monLogDir/image_generation.status"
#status_file_dist="$monLogDir/etrap_distribution.status"

# Main Log files
logFile="$logDir/autotrap.$Mmdd.log"

## Log files for different processes, which corresponding to the above status files
#logfile_stList="$monLogDir/get_storm_list.$Mdhm.log"
#logfile_gen="$monLogDir/etrap_creation.$Mdhm.log"
#logfile_img="$monLogDir/image_generation.$Mdhm.log"
#logfile_dist="$monLogDir/etrap_distribution.$Mdhm.log"

export Mmdd
export trapDataDir logDir srcDir binDir
export logFile 
