#!/bin/bash
wmo=$1
center=$2
echo In Selected center script WMO $wmo $center
stmline=`cat ${wmo}.txt|grep "ADVISORY NUMBER"`;key=`echo $stmline|cut -d" " -f1`
if [ "$key" = "HURRICANE" ]; then
   stmline=`cat ${wmo}.txt|grep "ADVISORY NUMBER"`;storm=`echo $stmline|cut -d" " -f2`
elif [ "$key" = "TROPICAL" ]; then
   stmline=`cat ${wmo}.txt|grep "ADVISORY NUMBER"`;storm=`echo $stmline|cut -d" " -f3`
elif [ "$key" = "POTENTIAL" ]; then
   stmline=`cat ${wmo}.txt|grep "ADVISORY NUMBER"`;storm=`echo $stmline|cut -d" " -f4`
   cyc="CYC"
elif [ "$key" = "POST-TROPICAL" ]; then
   stmline=`cat ${wmo}.txt|grep "ADVISORY NUMBER"`;storm=`echo $stmline|cut -d" " -f3`
   echo $storm is Post Tropical
   exit
fi
echo StormName $storm > Bul_${wmo}.log
stmline=`cat ${wmo}.txt|grep "NWS"`;stnmwd=`echo $stmline|cut -d" " -f7`;num=`echo $stnmwd|cut -c3-4`;basin=`echo $stnmwd|cut -c1`;stnm=${num}${basin};echo $stnm >> Bul_${wmo}.log
bull_time=`cat ${wmo}.txt|grep ${wmo}|cut -d" " -f3`;bull_day=`echo $bull_time|cut -c1-2`;echo iDay $bull_day >> Bul_${wmo}.log
echo iDay $bull_day       
bull_hr=`echo $bull_time|cut -c3-4`;echo iHour $bull_hr >> Bul_${wmo}.log
echo iHour $bull_hr
bull_min=`echo $bull_time|cut -c5-6`
bull_yjline=`cat ${wmo}.txt|grep ${wmo}|cut -c65-76`
bull_yr=`echo $bull_yjline|cut -c1-4`;echo iYear $bull_yr >> Bul_${wmo}.log
echo iYear $bull_yr
bull_jd=`echo $bull_yjline|cut -c5-7`
bull_mon=`date -d "\`date '+%Y'\` -01-01 \`expr $bull_jd - 1\` days" '+%m'`;echo Month $bull_mon >> Bul_${wmo}.log
echo Month $bull_mon
bull_winlin=`cat ${wmo}.txt|grep "MAX SUSTAINED WINDS"`
bull_wind=`echo $bull_winlin|cut -d" " -f4`
bw3=`echo $bull_wind|cut -c1`;
if [ "$bw3" -eq 0 ]; then
    bull_wind=`echo $bull_wind|cut -c2-3`
fi
echo CYC $cyc
if [ "$key" = "POTENTIAL" ]; then
    bull_cent=`cat ${wmo}.txt|grep  "TROP"|grep "CENTER L"|tr -s ' '|cut -d" " -f7-8`;
elif [ "$key" = "TROPICAL" ]; then
    bull_cent=`cat ${wmo}.txt|grep  "TROP"|grep "CENTER L"|tr -s ' '|cut -d" " -f6-7`;
elif [ "$key" = "HURRICANE" ]; then
    bull_cent=`cat ${wmo}.txt|grep  "HURR"|grep "CENTER L"|tr -s ' '|cut -d" " -f5-6`;
fi
CenterLatNS=`echo $bull_cent|cut -d" " -f1`;
i=$((${#CenterLatNS}-1));LatNS=${CenterLatNS:$i:1};CenterLat=${CenterLatNS%${LatNS}}
if [ "$LatNS" = 'S' ]; then
   CenterLat=`echo $CenterLat \* -1 | bc`
fi
#echo CenterLat $CenterLat >> Bul_${wmo}.log
CenterLonWE=`echo $bull_cent|cut -d" " -f2`
i=$((${#CenterLonWE}-1));LonWE=${CenterLonWE:$i:1};CenterLon=${CenterLonWE%${LonWE}}
if [ "$LonWE" = 'E' ]; then
   CenterLon=`echo $CenterLon \* -1 | bc`
fi

bull_winlin12=`cat ${wmo}.txt|grep "MAX WIND"|head -1`
bull_wind12=`echo $bull_winlin12|cut -d" " -f3`
bw3=`echo $bull_wind12|cut -c1`;
if [ "$bw3" -eq "0" ]; then
    bull_wind12=`echo $bull_wind12|cut -c2-3`
fi
bull_cent12=`cat ${wmo}.txt|grep "FORECAST VALID"|head -1|cut -d" " -f4-`;
CenterLatNS=`echo $bull_cent12|cut -d" " -f1`;
i=$((${#CenterLatNS}-1));LatNS=${CenterLatNS:$i:1};CenterLat12=${CenterLatNS%${LatNS}}
if [ "${LatNS}" = "S" ]; then
   CenterLat12=`echo $CenterLat12 \* -1 | bc`
fi
#echo CenterLat $CenterLat >> Bul_${wmo}.log
CenterLonWE=`echo $bull_cent12|cut -d" " -f2|cut -c1-5`
i=$((${#CenterLonWE}-1));LonWE=${CenterLonWE:$i:1};CenterLon12=${CenterLonWE%${LonWE}}
if [ "$LonWE" = "E" ]; then
   CenterLon12=`echo $CenterLon12 \* -1 | bc`
fi

bull_24len=`cat ${wmo}.txt|grep  "FORECAST VALID"|wc -l`
if [ $bull_24len -ge 2 ]; then

    bull_winlin24=`cat ${wmo}.txt|grep "MAX WIND"|tail -1`
    bull_wind24=`echo $bull_winlin24|cut -d" " -f3`
    bw3=`echo $bull_wind24|cut -c1`;
    if [ "$bw3" -eq 0 ]; then
	bull_wind24=`echo $bull_wind24|cut -c2-3`
    fi
    bull_cent24=`cat ${wmo}.txt|grep "FORECAST VALID"|head -2|tail -1|cut -d" " -f4-`;
    CenterLatNS=`echo $bull_cent24|cut -d" " -f1`;
    i=$((${#CenterLatNS}-1));LatNS=${CenterLatNS:$i:1};CenterLat24=${CenterLatNS%${LatNS}}
    if [ "$LatNS" = "S" ]; then
	CenterLat24=`echo $CenterLat24 \* -1 | bc`
    fi
#echo CenterLat $CenterLat >> Bul_${wmo}.log
    CenterLonWE=`echo $bull_cent24|cut -d" " -f2|cut -c1-5`
    i=$((${#CenterLonWE}-1));LonWE=${CenterLonWE:$i:1};CenterLon24=${CenterLonWE%${LonWE}}
    if [ "$LonWE" = "E" ]; then
	CenterLon24=`echo $CenterLon24 \* -1 | bc`
    fi

else
    bull_wind24=0
    CenterLat24=0.0
    CenterLon24=0.0
fi
echo WindSpeedMax $bull_wind $bull_wind12 $bull_wind24
echo CenterLat $CenterLat $CenterLat12 $CenterLat24
echo CenterLon $CenterLon $CenterLon12 $CenterLon24
#echo WindSpeedMax $bull_wind $bull_wind12 $bull_wind24 >> Bul_${wmo}.log
formatw="%13s %3.0f %3.0f %3.0f\n"
printf "$formatw" WindSpeedMax $bull_wind $bull_wind12 $bull_wind24 >> Bul_${wmo}.log

echo FC_Center in PGTW $center
format="%10s %6.1f %6.1f %6.1f\n"
printf "$format" CenterLat $CenterLat $CenterLat12 $CenterLat24 >> Bul_${wmo}.log
printf "$format" CenterLon $CenterLon $CenterLon12 $CenterLon24 >> Bul_${wmo}.log
echo $center >> Bul_${wmo}.log
echo $CenterLat12 $CenterLon12 $storm $center ${bull_hr}${bull_min} > GIF_inp.lin
#echo CenterLat $CenterLat $CenterLat12 $CenterLat24 >> Bul_${wmo}.log
#echo CenterLon $CenterLon $CenterLon12 $CenterLon24 >> Bul_${wmo}.log

















