#!/usr/bin/perl -w
#
#
# $Id: cleanDigitTRaP.pl,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.3  2010/04/27 14:23:00  cmuser
# CCR00651
#
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:57:01  oper1
# First checkin.
#
#
#!/usr/bin/perl -w

## =====================================================================
## Name:        cleanDigitTRaP.pl  
##                  
## Author:      Jianbin Yang/RSIS   07/16/2003
## Language:    Perl
## Purpose:     This program will clean the digital TRaP
##		older than 48 hour in the local TRaP machine.   
##              This program will run on the local TRaP machine (GP22/GP36)
##                  
## Modified:   03/05/2004
##		Change the period to keep the digital TRaP from 24 to 48 hours 
##
## Last Modified: 09/20/2006
##              Add one more directory for cleaning
##
## =====================================================================


# Define the directories and files

$HOME = $ENV{"HOME"};

$trapDataDir = "$HOME/mcidas/data/digitTRAP";          # the TRaP directory in local Server 
$trapDataDir1 = "/data/TRAP/digitTRAP"; 	            # the TRaP directory in local Server 


##--------------------------------- Start --------------------------------------##
$startdate=`date`;
print "Start  $0 at $startdate \n";

chdir("$trapDataDir") || die "Cannot change to directory $trapDataDir: $!";
print  "TRAP Data directory is:";
system("pwd");
@fileList = `ls`;

foreach $file (@fileList)
{
   chop($file);
      
   if (-f $file)
   {
      if (-M $file > 2.0)
      {
         unlink("$file") || die "cannot unlink $file: $!";
         print "$file is deleted.\n";
      }
   }
}  # End of the Foreach loop

chdir("$trapDataDir1") || die "Cannot change to directory $trapDataDir1: $!";
print  "TRAP Data directory 2 is:";
system("pwd");
@fileList = `ls`;

foreach $file (@fileList)
{
   chop($file);

   if (-f $file)
   {
      if (-M $file > 2.0)
      {
         unlink("$file") || die "cannot unlink $file: $!";
         print "$file is deleted.\n";
      }
   }
}  # End of the Foreach loop

print "End of cleaning old digital TRAP.\n";

