#
# $Id: cutPassLog.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File : cutPassLog.sh
# This shell script cut the Pass processed log file if it is too big.
#
# Author: Jianbin Yang/RSIS   June 2002
################################################################################

echo "start $0 at `date`"

passBase=/home/oper1/mcidas
passDataDir=$passBase/data/polerPassData
passLog=$passDataDir/passProcessed.log

if [[ ! -d $passDataDir ]]
then 
   echo "Error: $passDataDir not found."
   exit 1
fi

cd $passDataDir

if [[ ! -s $passLog ]]
then
   echo "Error: $passLog is not found or empty"
   exit 1
fi 

if ((`cat $passLog |wc -l` > 500))
then
   cat $passLog |tail -500 > tempLog
   mv tempLog $passLog
   echo "$passLog is cut to 500 line"
fi

exit

