#
# $Id: pctrp-mcenv3.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File :pctrp-mcenv2.sh
# This shell script export the arguments and use the MCENV to call the PCTRP 
# Usage:  pctrp-mcenv.sh <strom name> <data source> <WMO header> <Pos file>
#
# Author: Jianbin Yang/RSIS   June 2002
# Last Modified : 04/24/03
#                 For Auto TRaP version 2.0
################################################################################

echo "start $0 at `date`"

name=$1 
source=$2
posNumber=$3
posFile=$4
yyyddd=$5
hhmmss=$6

export name source posNumber posFile yyyddd hhmmss

# PATH=$PATH:/home/oper/mcidas/bin:/home/mcidas/bin:

 export PATH

 MCPATH=/home/Petrap/mcidas/data:/home/mcidas/data:$DATAHOME/data/mcidas_data
 export MCPATH

echo "Start the script pctrp-mcenv3-new.sh"

mcenv -f 12 << 'EOF'
    # pctrpauto22.k $name $source $posNumber $posFile $yyyddd $hhmmss DEV=T pcout.txt
    # pctrpauto22-pac-new.k $name $source $posNumber $posFile $yyyddd $hhmmss DEV=T pcout.txt
    # change on 05/10/07
    /home/Petrap/mcidas/bin/pctrpauto-new.k $name $source $posNumber $posFile $yyyddd $hhmmss DEV=T pcout.txt
EOF

echo 'end of Script'

exit

