#
# $Id: pctrpHE-mcenv.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File :pctrpHE-mcenv.sh
# This shell script export the arguments and use the MCENV to call the PCTRP 
# Usage:  pctrpbest-mcenv.sh <strom name> <data source> <WMO header> <real storm name>
#
# Author: Jianbin Yang/RSIS   June 2002
################################################################################

echo "start $0 at `date`"

# name should be "X" here
name=$1 
source=$2
realName=$3

export name source header realName

# PATH=$PATH:/home/oper/mcidas/bin:/home/mcidas/bin:

echo $PATH
# export PATH

# MCPATH=/home/oper/mcidas/data:/home/mcidas/data
# export MCPATH

mcenv -f 12 << 'EOF'
    pctrpHE.k $name $source $realName DEV=T pcHEout.txt
EOF

echo 'end of Script'

exit

