#
# $Id: pctrppast-mcenv.sh,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:56:36  oper1
# First checkin.
#
#
#!/bin/bash
# File :pctrppast-mcenv.sh
# This shell script export the arguments and use the MCENV to call the PCTRP 
# Usage:  pctrppast-mcenv.sh <strom name> <data source> <Pos file> <file name>
#
# Author: Jianbin Yang/RSIS   June 2002
# Last Modified : 04/24/03
#                 For Auto TRaP version 2.0
# Last Modified : 05/21/09
#                 test the past H-E TRaP
################################################################################

echo "start $0 at `date`"

name=$1 
source=$2
#posNumber=$3
posFile=$3
#yyyddd=$5
#hhmmss=$6
fileName=$4

#export name source posNumber posFile yyyddd hhmmss
export name source posFile fileName

PATH=$PATH:$HOME/mcidas/bin:/home/mcidas/bin:

#echo $PATH
export PATH

# MCPATH=/home/oper1/mcidas/data:/home/mcidas/data
# export MCPATH

mcenv -f 12 << 'EOF'

   cd $HOME/mcidas/data
    pctrppast.k $name $source $posFile  DEV=T pcpout.txt
    outputDir="$HOME/mcidas/data/pastTRAP/$name"

   mv TR661.GIF $outputDir/$fileName.GIF
   mv TR662.GIF $outputDir/$fileName.24.GIF
   mv TR663.GIF $outputDir/$fileName.00.GIF
   mv TR664.GIF $outputDir/$fileName.06.GIF
   mv TR665.GIF $outputDir/$fileName.12.GIF
   mv TR666.GIF $outputDir/$fileName.18.GIF
   mv TR667.GIF $outputDir/$fileName.24.hi.GIF

   cp AREA0660 $outputDir/$fileName.raw
   cp AREA0661 $outputDir/$fileName
   cp AREA0662 $outputDir/$fileName.24
   cp AREA0663 $outputDir/$fileName.00
   cp AREA0664 $outputDir/$fileName.06
   cp AREA0665 $outputDir/$fileName.12
   cp AREA0666 $outputDir/$fileName.18
   cp AREA0667 $outputDir/$fileName.24.hi
EOF

echo 'end of Script'

exit

