#!/usr/bin/perl -w
#
#
# $Id: renameHETrap1.pl,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:57:01  oper1
# First checkin.
#
#
#!/usr/bin/perl -w

## =====================================================================
## Name:        renameTrap1.pl
##                  
## Author:      Jianbin Yang/RSIS   07/19/2002
## Language:    Perl
## Purpose:     Rename the TRaP files with old pattern to new one
##             
##                  
## Last Modified:   03/11/2003
##
## =====================================================================

$year = "2004";
# Define the directories and files
$dataDir = '/home/oper/mcidas/data';
$trapDataDir = "/data/TRAP/$year";

$startdate=`date`;
print " Start  $0 at $startdate \n";

if (@ARGV < 2)
{
   print "Usage: $0 <old pattern> <new pattern>\n";
   exit;
}
else
{
   $oldName = $ARGV[0];
   $newName = $ARGV[1];
}

# $trapDataDir .= "/$oldName";
 
#chdir("$trapDataDir") || die "Cannot change to directory $trapDataDir";
## print  "Data directory is:";
#system("pwd");

# @filelist = `ls $year*`; 
@filelist = `ls *$oldName*`; 
chomp(@filelist); 

#print "the file list are\n@filelist\n"; 

foreach $filename (@filelist)
{
    print "\n*****the name is $filename\n";

    if ($filename =~ /$oldName/)
    {
       $oldFilename = $filename;
       $filename =~ s/$oldName/$newName/;
       print "the filename is $filename\n";      

       rename("$oldFilename", "$filename") || die "can not rename:$!";

    }

}


print "End of the rename process for the current TRaP data directory.\n";



