#!/usr/bin/perl -w
#
#
# $Id: tarTrap.pl,v 1.1.1.1 2010-04-27 15:13:11 cmuser Exp $
# $Log: not supported by cvs2svn $
# Revision 1.1.1.1  2009/02/04 19:25:09  cmuser
# initial release
#
# Revision 1.1  2007/11/30 19:57:01  oper1
# First checkin.
#
#
#!/usr/bin/perl -w

## =====================================================================
## Name:        tarTrap.pl
##                  
## Author:      Jianbin Yang/RSIS   12/11/2002
## Language:    Perl
## Purpose:     tar and zip all the TRaP files created before Dec 2002.  
##                  
## Last Modified:   12/11/2002
##
## =====================================================================

# use Time::HiRes qw(sleep);

# Define the directories and files
# $dataDir = '/home/oper/mcidas/data';
$trapDataDir = '/data/TRAP/2002';

$startdate=`date`;
print " Start  $0 at $startdate \n";

chdir("$trapDataDir") || die "Cannot change to directory $trapDataDir";
print  "TRaP Data directory is:";
system("pwd");

@dirlist = `ls`; 
chomp(@dirlist); 

print "the directory list are\n@dirlist\n"; 

foreach $stormname (@dirlist)
{
    print "\n*****the name is $stormname\n";

    if ($stormname =~ /.tar/)
    {
	if ($stormname =~ /.tar.gz/)
	{
	   print "$stormname is tared\n";
           next;
	}
         print "$stormname is unziped\n";
	 `gzip $stormname`;
         next;
    }

    print "$stormname is untared.\n";
    $tarName = $stormname . '.tar';
    print "the tar name is $tarName\n";
     `tar cvf $tarName $stormname`;
     `gzip $tarName`;

#    sleep(0.2);   # use with the module HiRes, if less than 1 second
    sleep(1);
}

print "End of the tar process for the current TRaP data directory.\n";



